SDL_SetX11EventHook(3)

NAME
SDL_SetX11EventHook - Set a callback for every X11 event.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetX11EventHook(SDL_X11EventHook callback, void *userdata);

DESCRIPTION
The callback may modify the event, and should return SDL_TRUE if the event should continue to be processed, or SDL_FALSE
 to prevent further processing.

FUNCTION PARAMETERS

callback
    The SDL_X11EventHook
     function to call.

userdata
    a pointer to pass to every iteration of callback

AVAILABILITY
This function is available since SDL 3.0.0.